<script setup lang="ts">
import InputText from "primevue/inputtext";
import SearchButton from "@/components/organisms/button/SearchButton.vue";
import type Repository from "@/entities/Repository/Repository";
import FormRow from "@/components/atoms/form/FormRow.vue";
import RowInputGroup from "@/components/molecules/form/RowInputGroup.vue";

const props = defineProps<{
  afterSubmitCallback?: Function,
}>()

const search = defineModel<String>('search');
const repositories = defineModel<Array<Repository>>('repositories');

const onSubmit = (e) => {
  const form: HTMLFormElement = e.target.form;
  if (form.checkValidity()) {
    e.preventDefault();
    if (props.afterSubmitCallback) {
      props.afterSubmitCallback();
    }
  }
}

</script>

<template>
  <FormRow>
    <RowInputGroup
        label="Nom :"
        id="search"
    >
      <InputText id="search" v-model="search"/>
    </RowInputGroup>
    <SearchButton @click="onSubmit"/>
  </FormRow>
</template>
